For the complete documentation index, see llms.txt. This page is also available as Markdown.

Getting a list of orders

The method allows you to get a list of orders

Getting a list of orders

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body

Request body for getting a list of orders

limitintegerOptional

Number of elements per page

offsetintegerOptional

Number of items to skip

Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/orders
POST /api-gateway/orders HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "status": [
    "pending"
  ],
  "limit": 1,
  "offset": 1
}
200Success
{
  "success": true,
  "response": {
    "orders": [
      {
        "status": "pending",
        "link": "https://payment.domain/8c770e8a-b0c5-4a9f-be9f-603677c4baab",
        "amount": "123.12",
        "paymentTolerancePercent": "1.5",
        "currency": "USDT",
        "network": "ethereum",
        "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
        "addressId": "be5196d9-4e99-4d9a-8a2a-b8c8b53affb2",
        "tag": null,
        "orderId": "8c770e8a-b0c5-4a9f-be9f-603677c4baab",
        "clientOrderId": "Order #123456",
        "externalUserId": "10099",
        "payerEmail": "site@domain.com",
        "description": "Payment by order #123456",
        "successWebhook": "https://merchant.domain/webhooks/success",
        "errorWebhook": "https://merchant.domain/webhooks/fail",
        "returnUrl": "https://merchant.domain/",
        "expiresAt": "2026-01-29T11:46:59.951Z",
        "createdAt": "2026-01-29T11:16:59.951Z"
      }
    ],
    "total": "1000"
  }
}

Last updated